<template>
  <div>
    <div class="login-box">
      <div class="login-logo">
        <router-link to="/"> <b>PT Management </b>v1 </router-link>
      </div>
      <!-- /.login-logo -->
      <div class="card">
        <div class="text-center mt-3 mb-3" v-if="isLoading">
          <v-progress-circular
          :size="50"
          :width="4"
          color="#0275d8"
          indeterminate
          class="loading"
        ></v-progress-circular>
        </div>
        <div class="card-body login-card-body">
          <p class="login-box-msg">Login</p>
          <div class="social-auth-links text-center mb-3">
            <a href="#" class="btn btn-block btn-primary" @click="login">
              <i class="fa fa-google mr-2"></i>
              Login with Google
            </a>
          </div>
          <!-- /.social-auth-links -->

          <p class="mb-0">
            <router-link to="/register" class="text-center"
              >Register Trainer</router-link
            >
          </p>
        </div>
        <!-- /.login-card-body -->
      </div>
    </div>
  </div>
</template>


<script>
import auth from "./../controllers/auth.controller";
import swal from "sweetalert2";
import router from "./../router";
export default {
  name: "Login",
  computed: {
    isLoading() {
      return this.$store.getters.getIsLoading;
    },
  },
  methods: {
    login: async function () {
      try {
        const user = await this.loginGoogle();
        await auth.logIn(user.getAuthResponse());
        router.push("/");
      } catch (e) {
        swal.fire({
          icon: "error",
          title: "Oopsie",
          text: "Something went wrong. Try again",
        });
      }
    },
    loginGoogle: async function () {
      const user = await this.$gAuth.signIn();
      return user;
    },
  },
  created: function () {
    document.body.classList.add("login-page");
  },
  destroyed: function () {
    document.body.classList.remove("login-page");
  },
};
</script>

<style scoped>
</style>
